# tui

Turning ideas into web app fast.

**Read this in other languages**: [简体中文](README_CN.md)

---

#### Documentation: https://tui.celerforge.com/

---

Use Pydantic models in the backend that correspond to the properties of React components in the frontend. This enables you to quickly develop interactive and beautiful UIs using Python.

The key features are:

- **Fast development**: Write your entire app with Python, seamlessly integrating backend logic and frontend UI.
- **SEO Friendly**: Supports server-side rendering for better search engine visibility.
- **Client-Side Routing**: Fast, smooth page transitions without reloads.
- **Folder-Based Routing**: Easy route management through folder structure.
- **Easy Form Validation**: Define a single Pydantic model for seamless and consistent form validation across your app, enhancing development speed and reducing potential errors.

## Demo

Check out the `docs` folder in the project repository. The documentation website is built directly from these sources.
